Get a company
Request example
Response sample
200 OK
HTTP Request
GET /v2/companies/:companyUUID
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Request example
curl -X GET https://betaapi.audiohook.com/v2/companies/:companyUUID/ \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "Content-Type: application/json" \
-H "ui-referer: ADVERTISER" \
-d '{
"request_headers": [
{ "name": "X-Request-Header", "value": "Header value" }
]
}'
Response sample
200 OK
{
"Message": "",
"type": "success",
"Advertiser": {
"uuid": "0408c71a-1977-4a03-9697-36b7f4d85e1f",
"name": "Test advertiser",
"category": "IAB1-3",
"logo_url": "https://media2.audiohook.com/some-uuid/logo.jpeg",
"url": "https://afakeurl.com",
"status": true,
"approved": false,
"dashboard": 3,
"onboarded": true,
"user_role": 1,
"associated_agency_uuid": null,
"associated_agency_name": null,
"deals": ["pmp-id"]
},
"_token": "<auth-token>"
}
GET /v2/companies/:companyUUID
